📐 File Storage schemas
File Storage exports OpenAPI query and operation schemas for generating signed image and generic-file upload URLs.
Inventory
| Export | Request location | Contract |
|---|---|---|
contentLengthQueryParameter | Query | Required integer byte length, maximum 10000000. |
getSignedImageUploadUrlSchema | Query / response | Image MIME type and content length; 200 signed URL response. |
getSignedFileUploadUrlSchema | Query / response | Safe MIME type and content length; 200 signed URL response. |
Details
contentLengthQueryParameter
Definition
| Location | Field | Type | Required | Constraints |
|---|---|---|---|---|
| Query | contentLength | integer | Yes | Maximum 10000000 bytes (10 MB). No minimum is declared. |
Used by route: Indirectly by the routes composed from getSignedImageUploadUrlSchema, and by Organization's createChangeRequestRoute. Used by feature: Indirectly by the features composed from getSignedImageUploadUrlSchema, and by Organization's createChangeRequestFeature through createChangeRequestSchema.View complete source
getSignedImageUploadUrlSchema
Definition
| Location | Field | Type | Required | Constraints |
|---|---|---|---|---|
| Query | contentType | string | Yes | Enum: image/jpeg, image/png, image/webp, image/gif, image/svg+xml, image/avif, image/bmp, image/x-icon, image/tiff, image/heif, image/heic. |
| Query | contentLength | integer | Yes | Maximum 10000000 bytes; spread from contentLengthQueryParameter. |
200 response | objectId | string | Yes | Cloud Storage object name/key. |
200 response | signedUrl | string (URI) | Yes | Pre-signed storage URL. |
The 200 response object has additionalProperties: false.
Used by route: Profile's avatar-upload route, getLogoUploadUrlRoute, getCertificateUploadUrlRoute, getProductImageUploadUrlRoute, and getChatChannelIconUploadUrlRoute. Used by feature: Profile's avatar-upload feature, getLogoUploadUrlFeature, getCertificateUploadUrlFeature, getProductImageUploadUrlFeature, and getChannelIconUploadUrlFeature.View complete source
getSignedFileUploadUrlSchema
Definition
| Location | Field | Type | Required | Constraints |
|---|---|---|---|---|
| Query | contentType | string | Yes | A mime-types value excluding the source denylist below. |
| Query | contentLength | integer | Yes | Maximum 10000000 bytes. |
200 response | objectId | string | Yes | Cloud Storage object name/key. |
200 response | signedUrl | string (URI) | Yes | Pre-signed storage URL. |
The 200 response object has additionalProperties: false.
The excluded MIME types are: application/x-msdownload, application/x-msdos-program, application/x-bat, application/cmd, application/x-msi, application/x-pif, application/javascript, text/vbscript, application/vbs, application/wsf, application/x-powershell, application/x-sh, text/x-python, text/x-perl, application/zip, application/x-rar-compressed, application/x-7z-compressed, application/x-tar, application/gzip, application/x-ms-shortcut, application/x-iso9660-image, application/octet-stream, application/vnd.android.package-archive, and application/java-archive.
Used by route: getChatMessageAttachmentUploadUrlRoute. Used by feature: getChatMessageAttachmentUrlFeature.View complete source